"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const failureParser = __importStar(require("../parsers/failureParser"));
exports.ActionType = {
    ADD_TEST_FAILURES: '@@night-patrol/testFailures/ADD_TEST_FAILURES',
    CLEAR_TEST_FAILURES: '@@night-patrol/testFailures/CLEAR_TEST_FAILURES',
    REMOVE_TEST_FAILURE: '@@night-patrol/testFailures/REMOVE_TEST_FAILURE',
    CLEAR_TEST_FAILURES_FOR_SUITE: '@@night-patrol/testFailures/CLEAR_TEST_FAILURES_FOR_SUITE'
};
exports.addTestFailures = ({ testFailures }) => ({
    type: exports.ActionType.ADD_TEST_FAILURES,
    payload: {
        testFailures
    }
});
exports.addTestFailuresFromNightwatchOutput = ({ suites, stdout }) => (exports.addTestFailures({
    testFailures: failureParser.parse({ suites, stdout })
}));
exports.clearTestFailures = () => ({
    type: exports.ActionType.CLEAR_TEST_FAILURES
});
exports.removeTestFailure = ({ suiteName, testName }) => ({
    type: exports.ActionType.REMOVE_TEST_FAILURE,
    payload: {
        suiteName,
        testName
    }
});
exports.clearTestFailuresForSuite = ({ suiteName }) => ({
    type: exports.ActionType.CLEAR_TEST_FAILURES_FOR_SUITE,
    payload: {
        suiteName
    }
});
//# sourceMappingURL=testFailures.js.map